INTERFACE
SUBROUTINE SC2RDGFP(KPROMA,KFIELDS,PBUF,KSTAGPB,KSTA,KEND,PGP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFIELDS
REAL(KIND=JPRB) ,INTENT(IN) :: PBUF(:)
INTEGER(KIND=JPIM),INTENT(IN) :: KSTAGPB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
REAL(KIND=JPRB) ,INTENT(OUT) :: PGP(KPROMA,KFIELDS)
END SUBROUTINE SC2RDGFP
END INTERFACE
